%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name snmp

Summary: A Ruby implementation of SNMP (the Simple Network Management Protocol)
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.0
Release: 6%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://snmplib.rubyforge.org
Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
Patch0: rakefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby(abi) = 1.9.1
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby-devel
# Following needed only for test/check
BuildRequires: %{?scl_prefix}rubygem(rake), %{?scl_prefix}rubygem(test-spec)
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
A Ruby implementation of SNMP (the Simple Network Management Protocol).

%prep
%setup -q -c -T

mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gem_dir} \
  --force --rdoc \
  %{SOURCE0}
%{?scl:"}

pushd $(pwd)/%{gem_dir}/gems/snmp-%{version}/
patch -p1 < %{PATCH0}
popd

# Adding proper name spacing to test directory, otherwise
# tests have issues between class Integer and SNMP::Integer
sed -i 's/Integer/SNMP::Integer/g' ./%{gem_instdir}/test/*.rb

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
# Rakefile requires the gemspec be in the gem_dir for operation (and not have
# verion in the name)
cp -p %{buildroot}%{gem_spec} \
      %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/%{gem_name}.gemspec


%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{gem_instdir}
%{?scl:scl enable %{scl} "}
  rake test
%{?scl:"}
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/data
%doc %{gem_instdir}/Rakefile
%doc %{gem_docdir}
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
%doc %{gem_instdir}/README.rdoc
%{gem_cache}
%{gem_spec}
%{gem_instdir}/snmp.gemspec


%changelog
* Fri Mar  1 2013 John Eckersberg <jeckersb@redhat.com> - 1.1.0-6
- SCL-ize specfile

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 08 2012 Vít Ondruch <vondruch@redhat.com> - 1.1.0-4
- Fix broken dependencies.

* Fri Feb 03 2012 Vít Ondruch <vondruch@redhat.com> - 1.1.0-3
- Rebuilt for Ruby 1.9.3.

* Sun Jan 08 2012 <stahnma@fedoraproject.org> - 1.1.0-2
- Ensure %%check can run properly

* Sun Jan 08 2012 <stahnma@fedoraproject.org> - 1.1.0-1
- Fix FTBFS bug  715639

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jun 10 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.0.3-1
- New version

* Mon May 24 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.0.2-1
- Fixes from review bug #587438
- Initial package
